import { AttrsDefs, EntitiesDef, EntityDef, LinkAttrDef } from '@instantdb/react';
import { z } from 'zod';
import { IDBSchema } from './use-idb-form';
type BasicEntity = EntityDef<AttrsDefs, Record<string, LinkAttrDef<any, any>>, void>;
export declare function createIDBEntityZodSchema<TSchema extends IDBSchema<EntitiesDef, any>, TEntity extends keyof TSchema['entities']>(schema: TSchema, entityName: TEntity): {
    zodSchema: z.ZodObject<Record<keyof TSchema['entities'][TEntity]['attrs'], z.ZodType>>;
    defaults: Record<keyof TSchema['entities'][TEntity]['attrs'], any>;
};
/** Creates a zod schema and default values for useForm's initialValues parameter */
export declare function internalCreateIDBEntityZodSchema(entity: BasicEntity, links: Record<string, LinkAttrDef<any, any>>): {
    zodSchema: z.ZodObject<any>;
    defaults: Record<string, any>;
};
export {};
//# sourceMappingURL=zod.d.ts.map